> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/refund-status.md).

# RefundStatus

### Values

**PENDING**

The refund is sent to the payment service provider. In some payment service providers you can still cancel the refund at this stage.

**SUCCEEDED**

The refund was succesful and has been settled to your customer.

**FAILED**

The refund has failed. For example due to a closed bank or card. The payment service provider will return the amount to your account balance.

**CANCELED**

The refund was canceled.

**QUEUED**

The refund is queued to be processed. A refund might be in this status when your account balance at the payment provider is not sufficient to initiate the refund at this time.

**PROCESSING**

The refund is being processed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/refund-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
